## org.eclipse.datatools.connectivity.oda.design
Class TextFormatType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.TextFormatType

public final class TextFormatType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Text Format Type', and utility methods for working with them. The type of text content of the data column values, i.e. plain text, HTML or RTF. It provides a hint on the type of text control to use for displaying the data value, e.g. a Text Control vs. Dynamic Text Control.

See Also:
  `DesignPackage.getTextFormatType()`, Serialized Form

Field Summary
`static java.lang.String` `copyright`
`static int` `HTML` The 'HTML' literal value.
`static TextFormatType` `HTML_LITERAL` The 'HTML' literal object.
`static int` `PLAIN` The 'Plain' literal value.
`static TextFormatType` `PLAIN_LITERAL` The 'Plain' literal object.
`static int` `RTF` The 'RTF' literal value.
`static TextFormatType` `RTF_LITERAL` The 'RTF' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Text Format Type' enumerators.

Method Summary
`static TextFormatType` `get(int value)` Returns the 'Text Format Type' literal with the specified integer value.
`static TextFormatType` `get(java.lang.String literal)` Returns the 'Text Format Type' literal with the specified literal value.
`static TextFormatType` `getByName(java.lang.String name)` Returns the 'Text Format Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### PLAIN

    public static final int PLAIN

  The 'Plain' literal value.

  See Also:
    `PLAIN_LITERAL`, Constant Field Values

### HTML

    public static final int HTML

  The 'HTML' literal value.

  See Also:
    `HTML_LITERAL`, Constant Field Values

### RTF

    public static final int RTF

  The 'RTF' literal value.

  See Also:
    `RTF_LITERAL`, Constant Field Values

### PLAIN_LITERAL

    public static final TextFormatType PLAIN_LITERAL

  The 'Plain' literal object.

  See Also:
    `PLAIN`

### HTML_LITERAL

    public static final TextFormatType HTML_LITERAL

  The 'HTML' literal object.

  See Also:
    `HTML`

### RTF_LITERAL

    public static final TextFormatType RTF_LITERAL

  The 'RTF' literal object.

  See Also:
    `RTF`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Text Format Type' enumerators.

Method Detail

### get

    public static TextFormatType get(java.lang.String literal)

  Returns the 'Text Format Type' literal with the specified literal value.

### getByName

    public static TextFormatType getByName(java.lang.String name)

  Returns the 'Text Format Type' literal with the specified name.

### get

    public static TextFormatType get(int value)

  Returns the 'Text Format Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.